package io.zipcoder.crudapp;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.ArrayList;
import java.util.List;

import static org.springframework.web.bind.annotation.RequestMethod.*;

@RestController
public class PersonController {
    private List<Person> personList = new ArrayList<>();

    @Autowired
    PersonRepository personRepository;

    public PersonController(){

    }

    @RequestMapping(value = "/people", method = POST)
    public void createPerson(@RequestBody Person p){

        personRepository.save(p);
    }

    @RequestMapping(value = "/people/{id}", method = GET)
    public void getPerson(@PathVariable int id){
        personRepository.findById(id);
    }

    @RequestMapping(value = "/people", method = GET)
    public void getPersonList(){
        personRepository.findAll();
    }

    @RequestMapping(value = "/people", method = PUT)
    public Person updatePerson(@RequestBody Person p){
        return personRepository.save(p);
    }

    @RequestMapping(value = "/people/{id}", method = DELETE)
    public void deletePerson(@PathVariable int id) {
        personRepository.deleteById(id);
    }
}
